# Uses of Enum
ml.options.Options.Multiplicity

## Uses of Options.Multiplicity in ml.options

Subclasses with type arguments of type Options.Multiplicity in ml.options
Modifier and Type
Class
Description
`static enum`
`Options.Multiplicity`
An enum encapsulating the possible multiplicities for options
Methods in ml.options that return Options.Multiplicity
Modifier and Type
Method
Description
`static Options.Multiplicity`
Options.Multiplicity.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Options.Multiplicity[]`
Options.Multiplicity.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in ml.options with parameters of type Options.Multiplicity
Modifier and Type
Method
Description
`static void`
ExclusiveConstraint.`add(OptionSet optionSet, Options.Multiplicity multiplicity, String... keys)`
Add a constraint to the given option set
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, String altKey, Options.Multiplicity multiplicity)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, Options.Multiplicity multiplicity)`
Add the given option to the set.
`void`
Options.`addOptionAllSets(OptionData.Type type, String key, String altKey, Options.Multiplicity multiplicity)`
Add the given option to all known sets.
`void`
Options.`addOptionAllSets(OptionData.Type type, String key, Options.Multiplicity multiplicity)`
Add the given option to all known sets.
`Options`
Options.`setDefault(Options.Multiplicity defaultMultiplicity)`
Define the default to use for the multiplicity for options.